// @flow
import {transformJSONArray} from 'helpers';
import {listView as listViewModel} from '../models';
import {default as settings} from 'settings';

export default (baseURL: string = settings.BASE_URL) => ({
	transformer: transformJSONArray(listViewModel),
	url        : `${baseURL}/API/list-views/:service/:module/:type/:parent`,
});
